<template>
    <router-view v-slot="{ Component }">
        <transition name='fade' mode="out-in">
            <component :is="Component"></component>
        </transition>
    </router-view>
</template>

<script>
export default {
    mounted() {
        
    }
}
</script>

<style>
.fade-enter-active,
.fade-leave-active {
    transition: opacity 0.3s ease-out;
}


.fade-enter-from,
.fade-leave-to {
    opacity: 0;
}
</style>